Bug 514290 - Doesn't see empty disks as writable
Doesn't see empty disks as writable
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: brasero (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-07-28 13:51 EDT by Matthias Clasen
Modified: 2013-01-10 00:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 10:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-07-28 13:51:56 EDT
I insert an empty cd in the burner and open brasero to write an iso to it, but it complains that it doesn't have a writable medium.

CCing David, since this is likely a DK-disks/gvfs issue.
Comment 1 Jesse Keating 2009-07-29 18:40:00 EDT
While we should get this fixed ASAP, it's not really part of the critical path to get alpha installed, booted, and updated.  Moving it off the list.
Comment 2 Matthias Clasen 2009-07-31 15:24:54 EDT
Might be http://bugzilla.gnome.org/show_bug.cgi?id=589931
Comment 3 Adam Williamson 2009-08-04 20:44:20 EDT
This should not block Alpha, I agree, but it should block final release, not just be a target - shipping final with the default (and only installed) disc burning tool entirely broken would be rather bad.

I have the same problem here. I see the following messages in my kernel log on inserting a blank disc:

sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 4:0:0:0: [sr0] Add. Sense: Logical block address out of range
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 4:0:0:0: [sr0] Add. Sense: Logical block address out of range
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 4:0:0:0: [sr0] Add. Sense: Logical block address out of range
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
cdrom: This disc doesn't have any tracks I recognize!

Brasero does not recognize that there is a blank disc in the drive, but cdrecord (well, wodim) does and is perfectly happy to burn to it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Williamson 2009-08-04 20:49:29 EDT
If I run devkit-disks-daemon at a console and then insert a blank DVD, the messages I get are:

**** CHANGING /sys/devices/pci0000:00/0000:00:1c.4/0000:03:00.0/host4/target4:0:0/4:0:0:0/block/sr0
**** UPDATING /sys/devices/pci0000:00/0000:00:1c.4/0000:03:00.0/host4/target4:0:0/4:0:0:0/block/sr0
**** EMITTING CHANGED for /sys/devices/pci0000:00/0000:00:1c.4/0000:03:00.0/host4/target4:0:0/4:0:0:0/block/sr0
**** CHANGED /sys/devices/pci0000:00/0000:00:1c.4/0000:03:00.0/host4/target4:0:0/4:0:0:0/block/sr0

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matthias Clasen 2009-08-14 10:44:50 EDT
This appears to be fixed with the latest DeviceKit-disks that we have in rawhide.
Comment 6 Peter Larsen 2009-10-08 16:55:53 EDT
Does this mean we won't get a backport to F11? I'd really prefer not to have to boot up in windows just to burn a couple of disks?
Comment 7 Adam Williamson 2009-10-08 17:06:04 EDT
If you want a fix for F11, open a bug on F11.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.